> ## Documentation Index
> Fetch the complete documentation index at: https://docs.light.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# List credit notes

> Returns a paginated list of credit notes



## OpenAPI

````yaml /openapi-public.json get /v1/credit-notes
openapi: 3.0.1
info:
  title: Light API
  version: 1.0.0
servers: []
security:
  - apiKeyAuth: []
  - bearerAuth: []
paths:
  /v1/credit-notes:
    get:
      tags:
        - v1 - Credit Notes
      summary: List credit notes
      description: Returns a paginated list of credit notes
      operationId: listCreditNotes
      parameters:
        - name: sort
          in: query
          schema:
            type: string
            description: >-
              Sort string in the format `field:direction`. To provide multiple
              sort fields, separate them with commas.


              Available directions: `asc`, `desc`. 


              Available fields: `amount`, `businessPartnerName`, `status`,
              `documentDate`.
            example: amount:desc,createdAt:asc
        - name: filter
          in: query
          schema:
            type: string
            description: >-
              Filter string in the format `field:operator:value`. To provide
              multiple filters, separate them with commas.


              Available operators: `eq`, `ne`, `in`, `not_in`, `gt`, `gte`,
              `lt`, `lte`.
               - For `in` and `not_in` operators, provide multiple values separated by the pipe character (`|`). 

              Available fields: `businessPartnerId`, `status`,
              `companyEntityId`, `documentDate`, `toBeAdjustedAccDocType`,
              `updatedAt`.
            example: state:in:IN_DRAFT|SCHEDULED|PAID,amount:gte:500,vendorId:ne:null
        - name: limit
          in: query
          description: Maximum number of items to return. Default is 50, maximum is 200.
          schema:
            maximum: 200
            type: integer
            format: int32
        - name: offset
          in: query
          description: >-
            Number of items to skip before starting to collect the result set.
            Deprecated, use 'cursor' instead.
          deprecated: true
          schema:
            type: integer
            format: int64
        - name: cursor
          in: query
          description: >-
            The cursor position to start returning results from.

            To opt-in into cursor-based pagination, provide `0` for the initial
            request.

            For subsequent requests, use `nextCursor` and `prevCursor` from the
            previous response to navigate.

            Cursor values are opaque and should not be constructed manually.
          schema:
            type: string
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: >-
                  #/components/schemas/ExternalPaginatedResponseV1ModelExternalCreditNoteV1Model
components:
  schemas:
    ExternalPaginatedResponseV1ModelExternalCreditNoteV1Model:
      type: object
      properties:
        records:
          type: array
          description: List of records for the current page
          items:
            $ref: '#/components/schemas/ExternalCreditNoteV1Model'
        hasMore:
          type: boolean
          description: Boolean flag indicating if there are more records available
        total:
          type: integer
          description: >-
            Total number of records (only for offset pagination). This field is
            not guaranteed to be returned and only available for offset
            pagination, please do not rely on it and migrate to cursor
            pagination.
          format: int64
          nullable: true
          deprecated: true
        nextCursor:
          type: string
          description: Cursor for fetching the next page (only for cursor pagination)
          nullable: true
        prevCursor:
          type: string
          description: Cursor for fetching the previous page (only for cursor pagination)
          nullable: true
    ExternalCreditNoteV1Model:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the object
          format: uuid
        companyId:
          type: string
          description: ID of the company
          format: uuid
        companyEntityId:
          type: string
          description: ID of the entity
          format: uuid
          nullable: true
        amount:
          type: integer
          description: Total credit note amount in cents
          format: int64
          nullable: true
        businessPartnerName:
          type: string
          description: Name of the vendor
          nullable: true
        businessPartnerId:
          type: string
          description: ID of the vendor
          format: uuid
          nullable: true
        status:
          type: string
          description: >-
            Status of the credit note


            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          nullable: false
          deprecated: false
          enum:
            - DRAFT
            - APPROVAL_PENDING
            - APPROVED
            - POSTED
            - PARTIALLY_CLEARED
            - CLEARED
            - ARCHIVED
        description:
          type: string
          description: Description of the credit note
          nullable: true
        currency:
          type: string
          example: USD
        postingDate:
          type: string
          description: Date when the credit note should be posted to the ledger
          format: date
          nullable: true
        documentDate:
          type: string
          description: Date when the credit note was issued
          format: date
          nullable: true
        valuationDate:
          type: string
          description: Date used when applying foreign exchange rate
          format: date
          nullable: true
        areLinesWithTax:
          type: boolean
          description: >-
            Whether the credit note line amount is inclusive of tax or not. True
            means tax is already included in the line amount and will not be
            added on top, false means tax will be added on top of the line
            amount
        lines:
          type: array
          description: List of credit note line items
          items:
            $ref: '#/components/schemas/ExternalCreditNoteLineV1Model'
        createdAt:
          type: string
          description: Timestamp when the credit note was created
          format: date-time
        updatedAt:
          type: string
          description: Timestamp when the credit note was last updated
          format: date-time
        updatedBy:
          type: string
          description: ID of the user who last updated the credit note
          format: uuid
          nullable: true
        localCurrencyFxRate:
          type: number
          description: FX rate applied for the ledger's local currency
          nullable: true
        groupCurrencyFxRate:
          type: number
          description: FX rate applied for the ledger's group currency
          nullable: true
        senderEmail:
          type: string
          description: >-
            The email of the user who sent the document that this credit note
            was created from
          nullable: true
        documentName:
          type: string
          description: The name of the document that this credit note was created from
          nullable: true
    ExternalCreditNoteLineV1Model:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the object
          format: uuid
        companyId:
          type: string
          description: ID of the company
          format: uuid
        creditNoteId:
          type: string
          description: ID of the credit note this line belongs to
          format: uuid
        grossTransactionAmount:
          $ref: '#/components/schemas/DirectedAmount'
        netTransactionAmount:
          $ref: '#/components/schemas/DirectedAmount'
        description:
          type: string
          description: Description of the credit note line item
          nullable: true
        ledgerTaxId:
          type: string
          description: ID of the tax code
          format: uuid
          nullable: true
        taxTransactionAmount:
          $ref: '#/components/schemas/DirectedAmount'
        ledgerAccountId:
          type: string
          description: ID of the ledger account
          format: uuid
          nullable: true
        costCenterId:
          type: string
          description: ID of the cost center
          format: uuid
          nullable: true
        createdAt:
          type: string
          description: Timestamp when the credit note line item was created
          format: date-time
        updatedAt:
          type: string
          description: Timestamp when the credit note line item was last updated
          format: date-time
        accrualTemplateId:
          type: string
          description: ID of the accrual template
          format: uuid
          nullable: true
        accrualStartDate:
          type: string
          description: Start date for accrual
          format: date
          nullable: true
        accrualEndDate:
          type: string
          description: End date for accrual
          format: date
          nullable: true
        accrualDefaultDuration:
          type: integer
          description: Default duration for accrual in months
          format: int32
          nullable: true
    DirectedAmount:
      type: object
      properties:
        amount:
          type: integer
          format: int64
        dcSign:
          type: string
          description: >-
            ⚠️ This enum is not exhaustive; new values may be added in the
            future.
          enum:
            - D
            - C
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: >-
        Basic authentication header of the form **Basic** **<api_key>**, where
        **<api_key>** is your api key.
      name: Authorization
      in: header
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````